GuideLab API

Test Scanner Connection

Test a scanner connection by attempting an API call to the scanner provider. Supports Medit, 3Shape, and iTero. Updates connection status based on the test result.

POST
/scanner-connections/{id}/test

Test a scanner connection by attempting an API call to the scanner provider. Supports Medit, 3Shape, and iTero. Updates connection status based on the test result.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/test"
{  "success": true,  "message": "string",  "details": {    "property1": null,    "property2": null  }}
Empty
Empty